import { useQuery } from 'react-apollo'
import SignupForm from '../components/user/SignupForm'
import LoginForm from '../components/user/LoginForm'
import LogoutButton from '../components/user/LogoutButton'
import RequestPassword from '../components/user/RequestPassword'
import ResetPassword from '../components/user/ResetPassword'
import UserEditForm from '../components/user/UserEditForm'
import UserDetails from '../components/user/UserDetails'
import { CURRENT_USER } from '../components/user/graphql'

const UserPage = () => {
  const { data, loading, error } = useQuery(CURRENT_USER)

  return (
    <>
      <SignupForm />
      <LoginForm />
      <LogoutButton />
      <RequestPassword />
      <ResetPassword />
      {data && (
        <>
          <UserEditForm user={data.me} />
          <UserDetails user={data.me} />
        </>
      )}
    </>
  )
}

export default UserPage
